#include <iostream>

using namespace std;

int main()
{
    int brojUcenika,brojParova,ukupno=0,x1,y1;
    int x[1000];
    int y[1000];
    int drug[1000];
    int poznanici[1000]={0};
    int neprijatelji[1000]={0};
    int prijatelji[1000]={0};
    cin>>brojUcenika>>brojParova;
    for(int i=1; i<=brojUcenika; i++){
        cin>>drug[i];
    }
    for(int i=1; i<=brojParova; i++){
        cin>>x[i]>>y[i];
        }
    for(int i=1; i<=brojParova; i++){
        x1=x[i];
        y1=y[i];
        poznanici[x1]++;
        poznanici[y1]++;
    }
    for(int i=1; i<=brojParova; i++){
        if(drug[i]*poznanici[i]+drug[i+1]*poznanici[i+1]>drug[i]*(0-poznanici[i])+drug[i]*(0-poznanici[i+1])){
                prijatelji[i]++;
                prijatelji[i+1]++;

        }
        else{
            neprijatelji[i]++;
            neprijatelji[i+1]++;
        }
        poznanici[i]--;
        poznanici[i+1]--;
    }
    for(int i=1; i<=brojUcenika; i++){
        ukupno=ukupno+drug[i]*(prijatelji[i]-neprijatelji[i]);
    }
    cout<<ukupno;



}